<?php
/*
Plugin Name: Media Icon
Version: 2.4.b
Description: add an icon to non-picture files
Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=654
Author: Julien1311
*/

//Check whether we are indeed included by Piwigo.
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('MEDIA_ICON_DIR' , basename(dirname(__FILE__)));
define('MEDIA_ICON_PATH' , PHPWG_PLUGINS_PATH.MEDIA_ICON_DIR.'/');

/* +-----------------------------------------------------------------------+
 * | Plugin admin                                                          |
 * +-----------------------------------------------------------------------+ */

// Add an entry to the plugins menu
add_event_handler('get_admin_plugin_menu_links', 'media_icon_admin_menu');

function media_icon_admin_menu($menu) {
	array_push(
		$menu, array(
			'NAME'  => 'Media Icon',
			'URL'   => get_admin_plugin_menu_link(dirname(__FILE__)).'/admin/admin.php',
		)
	);      
	return $menu;
}

/* +-----------------------------------------------------------------------+
 * | Plugin code                                                          |
 * +-----------------------------------------------------------------------+ */
	
include_once(MEDIA_ICON_PATH.'thumbnails.php');
?>