{html_head}
{literal}
<script type="text/javascript">
	//Add Media Icon markups to thumbnails
	function media_icon_markup() {
		//Youtube
		$("img[media_icon^=youtube]").before('<span class="media_icon_youtube">');
		$("img[media_icon^=youtube]").after('</span>');
		//Vimeo
		$("img[media_icon^=vimeo]").before('<span class="media_icon_vimeo">');
		$("img[media_icon^=vimeo]").after('</span>');
		//Dailymotion
		$("img[media_icon^=dailymotion]").before('<span class="media_icon_dailymotion">');
		$("img[media_icon^=dailymotion]").after('</span>');
		//Wat
		$("img[media_icon^=wat]").before('<span class="media_icon_wat">');
		$("img[media_icon^=wat]").after('</span>');
		//Wideo
		$("img[media_icon^=wideo]").before('<span class="media_icon_wideo">');
		$("img[media_icon^=wideo]").after('</span>');
		//pdf
		$("img[media_icon$=pdf]").before('<span class="media_icon_pdf">');
		$("img[media_icon$=pdf]").after('</span>');
		//doc, docx or odt
		$("img[media_icon$=doc]").before('<span class="media_icon_document">');
		$("img[media_icon$=doc]").after('</span>');
		$("img[media_icon$=docx]").before('<span class="media_icon_document">');
		$("img[media_icon$=docx]").after('</span>');
		$("img[media_icon$=odt]").before('<span class="media_icon_document">');
		$("img[media_icon$=odt]").after('</span>');
		//xls, xlsx or ods
		$("img[media_icon$=xls]").before('<span class="media_icon_spreadsheet">');
		$("img[media_icon$=xls]").after('</span>');
		$("img[media_icon$=xlsx]").before('<span class="media_icon_spreadsheet">');
		$("img[media_icon$=xlsx]").after('</span>');
		$("img[media_icon$=ods]").before('<span class="media_icon_spreadsheet">');
		$("img[media_icon$=ods]").after('</span>');
		//ppt, pptx or odp
		$("img[media_icon$=ppt]").before('<span class="media_icon_presentation">');
		$("img[media_icon$=ppt]").after('</span>');
		$("img[media_icon$=pptx]").before('<span class="media_icon_presentation">');
		$("img[media_icon$=pptx]").after('</span>');
		$("img[media_icon$=odp]").before('<span class="media_icon_presentation">');
		$("img[media_icon$=odp]").after('</span>');
	}
  
	//When the document has finiched to load
	jQuery(document).ready(function(){
		media_icon_markup();
	});
  
	//Allow Media Icon to work with RV Thumb Scroller 
	jQuery(window).bind("RVTS_loaded", function(){
		media_icon_markup();
	});
</script>
{/literal}
{/html_head}